Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	kile - an integrated LaTeX environment
Name:      	kile
Version:   	2.0.1
Release:   	1
Provides:	kile
License: 	GNU/GPL
URL:		http://kile.sourceforge.net
Group:     	Office
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  perl
BuildRequires:  kdelibs-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  libacl-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  glib-devel
BuildRequires:  libidn-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pcre-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel


%description
Kile is a user friendly TeX/LaTeX editor for the KDE desktop environment.
The main features are:

    * Compile, convert and view your document with one click.
    * Auto-completion of (La)TeX commands
    * Templates and wizards makes starting a new document very little work.
    * Easy insertion of many standard tags and symbols and the option to define (an arbitrary number of) user defined tags.
    * Inverse and forward search: click in the DVI viewer and jump to the corresponding LaTeX line in the editor, or jump from the editor to the corresponding page in the viewer.
    * Finding chapter or sections is very easy, Kile constructs a list of all the chapter etc. in your document. You can use the list to jump to the corresponding section.
    * Collect documents that belong together into a project.
    * Easy insertion of citations and references when using projects.
    * Flexible and smart build system to compile your LaTeX documents.
    * QuickPreview, preview a selected part of your document.
    * Easy access to various help sources.
    * Advanced editing commands.
						
%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=/opt/kde --disable-debug
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# fix conflict with kdelibs package
%exclude /opt/kde/share/apps/katepart/syntax/bibtex.xml
%exclude /opt/kde/share/apps/katepart/syntax/latex.xml 
# end of fix
%_kdedir/bin
%_kdedir/share/apps/kile
%_kdedir/share/doc
%_kdedir/share/locale
%_kdedir/share/applications/kde
%_kdedir/share/apps/kconf_update
%_kdedir/share/config.kcfg
%_kdedir/share/icons
%_kdedir/share/mimelnk



%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.1-1
- version update
* Wed Nov 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0-1
- version update
* Tue Apr 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.9.3-2
- fixed conflict with kdelibs package
* Thu Mar 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.9.3-1
- Version update
* Fri Aug 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.8.1-1
- Initial Release
